> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI Script items

> Retrieve a list of videos, with an optional ids param to filter vdieo by their UUIDs.



## OpenAPI

````yaml get /api/ai_scripts/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/ai_scripts/:
    get:
      tags:
        - ai_scripts
      description: >-
        Retrieve a list of videos, with an optional ids param to filter vdieo by
        their UUIDs.
      operationId: ai_scripts_list
      parameters:
        - in: query
          name: ids
          schema:
            type: string
            minLength: 1
          description: >-
            Comma-separated list of UUIDs to filter. Maximum 100 entries
            allowed.
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AiScriptJob'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    AiScriptJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        url:
          type: string
          format: uri
          writeOnly: true
        title:
          type: string
          writeOnly: true
        description:
          type: string
          writeOnly: true
        language:
          $ref: '#/components/schemas/LanguageEnum'
        target_audience:
          type: string
          nullable: true
        video_length:
          $ref: '#/components/schemas/VideoLengthEnum'
        script_styles:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/ScriptStylesEnum'
            description: |-
              - `BenefitsV2`: Benefits
              - `BrandStoryV2`: Brand Story
              - `CallToActionV2`: Call To Action
              - `DiscoveryWriter`: Discovery
              - `DontWorryWriter`: Don't Worry
              - `EmotionalWriter`: Emotional
              - `GenzWriter`: Gen Z
              - `HowToV2`: How To
              - `LetMeShowYouWriter`: Let Me Show You
              - `MotivationalWriter`: Motivational
              - `ProblemSolutionV2`: Problem Solution
              - `ProblemSolutionWriter`: Problem-Solution
              - `ProductHighlightsV2`: Product Highlights
              - `ProductLifestyleV2`: Product Lifestyle
              - `ResponseBubbleWriter`: Response Bubble
              - `SpecialOffersV2`: Special Offers
              - `StoryTimeWriter`: Storytime
              - `ThreeReasonsWriter`: 3 Reasons Why
              - `TrendingTopicsV2`: Trending Topics
          description: >-
            List of script styles to generate, if not provided, four random
            script styles will be generated
          maxItems: 5
        generated_scripts:
          type: array
          items:
            $ref: '#/components/schemas/AIScripts'
          readOnly: true
        failed_reason:
          type: string
          readOnly: true
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/StatusD69Enum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        user:
          type: integer
          readOnly: true
          nullable: true
        workspace:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        product:
          allOf:
            - $ref: '#/components/schemas/Product'
          readOnly: true
        credits_used:
          type: number
          readOnly: true
          description: Credits used in this api call
      required:
        - created_at
        - credits_used
        - failed_reason
        - generated_scripts
        - id
        - product
        - status
        - updated_at
        - user
        - workspace
    LanguageEnum:
      enum:
        - af
        - ar
        - as
        - az
        - be
        - bg
        - bn
        - bs
        - ca
        - cb
        - cs
        - cy
        - da
        - de
        - el
        - en
        - es
        - et
        - fa
        - fi
        - fl
        - fr
        - ga
        - gl
        - gu
        - ha
        - he
        - hi
        - hr
        - hu
        - hy
        - id
        - is
        - it
        - ja
        - jv
        - ka
        - kk
        - kn
        - ko
        - ky
        - lb
        - ln
        - lt
        - lv
        - mk
        - ml
        - mr
        - ms
        - ne
        - nl
        - 'no'
        - ny
        - pa
        - pl
        - ps
        - pt
        - ro
        - ru
        - sd
        - sk
        - sl
        - so
        - sr
        - sv
        - sw
        - ta
        - te
        - th
        - tl
        - tr
        - uk
        - ur
        - vi
        - zh
      type: string
      description: |-
        * `af` - Afrikaans
        * `ar` - Arabic
        * `as` - Assamese
        * `az` - Azerbaijani
        * `be` - Belarusian
        * `bg` - Bulgarian
        * `bn` - Bengali
        * `bs` - Bosnian
        * `ca` - Catalan; Valencian
        * `cb` - Cebuano
        * `cs` - Czech
        * `cy` - Welsh
        * `da` - Danish
        * `de` - German
        * `el` - Greek, Modern
        * `en` - English
        * `es` - Spanish; Castilian
        * `et` - Estonian
        * `fa` - Persian
        * `fi` - Finnish
        * `fl` - Filipino
        * `fr` - French
        * `ga` - Irish
        * `gl` - Galician
        * `gu` - Gujarati
        * `ha` - Hausa
        * `he` - Hebrew (modern)
        * `hi` - Hindi
        * `hr` - Croatian
        * `hu` - Hungarian
        * `hy` - Armenian
        * `id` - Indonesian
        * `is` - Icelandic
        * `it` - Italian
        * `ja` - Japanese
        * `jv` - Javanese
        * `ka` - Georgian
        * `kk` - Kazakh
        * `kn` - Kannada
        * `ko` - Korean
        * `ky` - Kirghiz, Kyrgyz
        * `lb` - Luxembourgish, Letzeburgesch
        * `ln` - Lingala
        * `lt` - Lithuanian
        * `lv` - Latvian
        * `mk` - Macedonian
        * `ml` - Malayalam
        * `mr` - Marathi (Marāṭhī)
        * `ms` - Malay
        * `ne` - Nepali
        * `nl` - Dutch
        * `no` - Norwegian
        * `ny` - Chichewa; Chewa; Nyanja
        * `pa` - Panjabi, Punjabi
        * `pl` - Polish
        * `ps` - Pashto, Pushto
        * `pt` - Portuguese
        * `ro` - Romanian, Moldavian, Moldovan
        * `ru` - Russian
        * `sd` - Sindhi
        * `sk` - Slovak
        * `sl` - Slovene
        * `so` - Somali
        * `sr` - Serbian
        * `sv` - Swedish
        * `sw` - Swahili
        * `ta` - Tamil
        * `te` - Telugu
        * `th` - Thai
        * `tl` - Tagalog
        * `tr` - Turkish
        * `uk` - Ukrainian
        * `ur` - Urdu
        * `vi` - Vietnamese
        * `zh` - Chinese
    VideoLengthEnum:
      enum:
        - 15
        - 30
        - 45
        - 60
      type: integer
      description: |-
        * `15` - 15
        * `30` - 30
        * `45` - 45
        * `60` - 60
    ScriptStylesEnum:
      enum:
        - BenefitsV2
        - BrandStoryV2
        - CallToActionV2
        - DiscoveryWriter
        - DontWorryWriter
        - EmotionalWriter
        - GenzWriter
        - HowToV2
        - LetMeShowYouWriter
        - MotivationalWriter
        - ProblemSolutionV2
        - ProblemSolutionWriter
        - ProductHighlightsV2
        - ProductLifestyleV2
        - ResponseBubbleWriter
        - SpecialOffersV2
        - StoryTimeWriter
        - ThreeReasonsWriter
        - TrendingTopicsV2
      type: string
    AIScripts:
      type: object
      properties:
        paragraphs:
          type: string
        script_name:
          type: string
        script_style:
          type: string
          default: ''
        title:
          type: string
      required:
        - paragraphs
        - script_name
        - title
    StatusD69Enum:
      enum:
        - pending
        - in_queue
        - running
        - failed
        - done
        - rejected
      type: string
      description: |-
        * `pending` - Pending
        * `in_queue` - In Queue
        * `running` - Running
        * `failed` - Failed
        * `done` - Done
        * `rejected` - Rejected
    Product:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        url:
          type: string
          nullable: true
          maxLength: 3000
        slug:
          type: string
          maxLength: 255
        title:
          type: string
          nullable: true
          maxLength: 1000
        description:
          type: string
          nullable: true
        image_urls:
          nullable: true
        video_urls:
          nullable: true
        image_selected:
          nullable: true
        video_selected:
          nullable: true
        reviews:
          nullable: true
        created_with:
          $ref: '#/components/schemas/CreatedWithEnum'
        logo_url:
          type: string
          format: uri
          nullable: true
          maxLength: 1000
        price:
          type: string
          nullable: true
          maxLength: 128
        original_price:
          type: string
          nullable: true
          maxLength: 128
        promo_price:
          type: string
          nullable: true
          maxLength: 128
        use_promotional_info:
          type: boolean
          description: Use promotional details for the product.
        highlight_features:
          type: string
          nullable: true
        brand_info:
          type: string
          nullable: true
          maxLength: 1000
        promotional_details:
          type: string
          nullable: true
          maxLength: 1000
        trigger_insights:
          type: boolean
          description: Trigger insights for the product.
        ai_summary:
          type: string
          nullable: true
          maxLength: 2000
        ai_target_audiences:
          nullable: true
        ai_key_features:
          nullable: true
        ai_keywords:
          nullable: true
        ai_industry:
          type: integer
          nullable: true
        ai_product_type:
          type: string
          nullable: true
          maxLength: 255
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        primary_image_url:
          type: string
          format: uri
          nullable: true
          maxLength: 1000
        brand_colors:
          nullable: true
        qrcode_url:
          type: string
          format: uri
          nullable: true
          description: >-
            URL to be encoded into a QR code for some visual styles. Default is
            null, no QR code will be generated.
          maxLength: 1000
        contact_number:
          type: string
          nullable: true
          maxLength: 255
      required:
        - id
        - slug
        - updated_at
    CreatedWithEnum:
      enum:
        - link_to_video
        - link_to_video_art
        - ai_script
        - shopify_app
        - image_ads
      type: string
      description: |-
        * `link_to_video` - Link to Video
        * `link_to_video_art` - Link to Video Art
        * `ai_script` - AI Script
        * `shopify_app` - Shopify App
        * `image_ads` - Image Ads
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````